<template>
  <q-layout>
    <q-header unelevated class="bg-white text-black" height-hint="100">
      <q-toolbar class="portal-toolbar-height"> </q-toolbar>
    </q-header>

    <q-page-container>
      <q-page
        :style-fn="setPageHeight"
        class="flex justify-center items-center"
      >
        <div class="column flex items-center">
          <slot />
        </div>
      </q-page>
    </q-page-container>

    <footer-layout />
  </q-layout>
</template>

<script>
import { defineComponent, ref } from "vue";
import FooterLayout from "./sections/FooterLayout.vue";

export default defineComponent({
  components: { FooterLayout },
  name: "GuestLayout",
  setup() {
    const setPageHeight = (offset) => {
      // "offset" is a Number (pixels) that refers to the total
      // height of header + footer that occupies on screen,
      // based on the QLayout "view" prop configuration

      // this is actually what the default style-fn does in Quasar
      return { minHeight: offset ? `calc(90vh - ${offset}px)` : "90vh" };
    };

    return {
      setPageHeight,
    };
  },
});
</script>

<style lang="scss" scoped>
.portal {
  &-toolbar {
    &-height {
      height: 100px;
    }
  }
}
.q-header {
  position: fixed !important;
}
</style>
